<template>
  <div id="main_page">
    <list item="characters" :onclick="onCaracterClick"/>
    <CharacterInfo
      item="characters"
      v-if="currentCharacter"
      :name="currentCharacter"
      editable="true"
    />
  </div>
</template>

<script>
import List from '@/components/List'
import CharacterInfo from '@/components/CharacterInfo'

export default {
  components: {
    CharacterInfo,
    List
  },
  data () {
    return {
      currentCharacter: null
    }
  },
  methods: {
    onCaracterClick (e) {
      this.currentCharacter = e.name
    }
  }
}
</script>

<style>
#main_page {
  display: grid;
  grid-template-columns: 15% auto;
}
</style>
